Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8223 - Unpacking hard links across mount points
Summary: Unpacking hard links across mount points
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-06 03:02 UTC by jafo-redhat
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 22:39:20 UTC


Attachments (Terms of Use)

Description jafo-redhat 2000-01-06 03:02:28 UTC
The sendmail RPM fails to install on systems where /usr/sbin or
/usr/bin are mount-points.  /usr/sbin/makemap is a hard link to
/usr/bin/makemap, which causes a cpio failure on installing.

Modifying the line in the .spec file which creates that link
to use a symbolic link would seem to be an option.  If there is
a security reason for this not being a sym link, it could
simply be a copy (which is what I did).

Sean

Comment 1 Cristian Gafton 2000-01-06 03:12:59 UTC
This looks more like a bug in rpm. Changed the summary to reflect this and
assigned to jbj

Comment 2 Jeff Johnson 2000-01-06 17:11:59 UTC
This is a sendmail packaging problem, not an rpm problem. There is absolutely no
way that rpm can make a decision about how to convert a hard link to a
symlink under all possible conditions. Pong to you Cristian ...

Comment 3 Cristian Gafton 2000-02-17 22:39:59 UTC
Fixed in current devel tree


Note You need to log in before you can comment on or make changes to this bug.